### Method

# Atspi EditableText insert_text

#### Declaration [src]

    gboolean
    atspi_editable_text_insert_text (
      AtspiEditableText* obj,
      gint position,
      const gchar* text,
      gint length,
      GError** error
    )

#### Description [src]

Inserts text into an `AtspiEditableText` object. As with all character offsets, the specified `position` may not be the same as the resulting byte offset, since the text is in a variable-width encoding.

#### Parameters

`position`

  Type: `gint`

  A #gint indicating the character offset at which to insert the new text.

`text`

  Type: `const gchar*`

  A string representing the text to insert, in UTF-8 encoding.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gint`

  The number of characters of text to insert, in bytes. If the byte count of text is less than or equal to length, the entire contents of text will be inserted.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the operation was successful, otherwise `FALSE`.